using System;

namespace Zad_4
{
    class Program
    {
        static void Main(string[] args)
        {
            string N = Console.ReadLine();
            int dimenzija = N.Length;
            int promene = 0;
            for (int i = 0; i < dimenzija; i++)
            {
                for (int j = i + 1; j < dimenzija; j++)
                {
                    if (N[i] == N[j])
                    {
                        for (int k = i + 1; k < j; k++)
                        {
                            if (N[k] == '0')
                            {
                                promene++;
                                k = j;
                                j = dimenzija;
                                i = dimenzija;
                            }
                            else
                            {
                                if (N[k] != N[j])
                                {
                                    promene++;
                                }
                            }
                        }
                    }
                }
            }
            Console.WriteLine(promene);
        }
    }
}